package game.locations.elevatorStoppedDoors;

import game.locations.Interactive;
import game.locations.Location;

import base.GameSprite;

class ElevatorStoppedDoors extends Location {
  public function new() {
    super();

    id = 'elevatorMove';

    var basement = new Interactive(game.locations.entrance.Entrance);
    basement.initBitmap(bmpPath('basement'));
    addChild(basement);

    var leftDoor = new GameSprite(bmpPath('door_left'));
    leftDoor.x = 87 - leftDoor.width;
    addChild(leftDoor);

    var rightDoor = new GameSprite(bmpPath('door_right'));
    rightDoor.x = 160 + rightDoor.width;
    addChild(rightDoor);

    addBmpLayer('bg');

    var buttons = new game.locations.elevatorMove.Buttons();
    buttons.on = false;
    buttons.x = 270;
    buttons.y = 25;
    addChild(buttons);

    rightLocation = game.locations.elevatorStoppedInside.ElevatorStoppedInside;
    downLocation = game.locations.elevatorBack.ElevatorBack;
  }
}
